# I3DExTerrainFilter Struct Reference
[External Interfaces]

Inheritance diagram for I3DExTerrainFilter:

List of all members.

## Public Member Functions
virtual void MCCOMAPI | Shuffle ()=0
virtual void MCCOMAPI | Filter (TMCArray< real > &heightField, TVector2 &heightBound, const TIndex2 &size, const TVector2 &cellSize)=0
virtual boolean MCCOMAPI | CanBuildPreview ()=0
virtual void MCCOMAPI | SetDefaultSizes (real &sizex, real &sizey)=0

## Detailed Description

A Terrain filter is a filter that can be used in the terrain editor to generate or modify a height field.

## Member Function Documentation

virtual boolean MCCOMAPI I3DExTerrainFilter::CanBuildPreview | ( |  | ) | `[pure virtual]`

Returns true if the filter is able to make a preview of the final map working on a smaller map

Implemented in TBasicTerrainFilter.

virtual void MCCOMAPI I3DExTerrainFilter::Filter | ( | TMCArray< real > & | heightField,
|  | TVector2 & | heightBound,
|  | const TIndex2 & | size,
|  | const TVector2 & | cellSize |
| ) |  |  | `[pure virtual]`

Filter the height field. This is where the real work is done.

Parameters:

  | heightField | Array of real that defines the height field.
  | heightBound | Height min and max of the terrain (must be updated by this function if the height bounds changed)
  | size | size of the array
  | cellSize | size of a cell of the grid

Implemented in TBasicTerrainFilter.

virtual void MCCOMAPI I3DExTerrainFilter::SetDefaultSizes | ( | real & | sizex,
|  | real & | sizey |
| ) |  |  | `[pure virtual]`

Sets the default sizes for terrain features

Parameters:

  | sizex | the size of the terrain to which the filter is to be applied
  | sizey | the size of the terrain to which the filter is to be applied

virtual void MCCOMAPI I3DExTerrainFilter::Shuffle | ( |  | ) | `[pure virtual]`

Should change the seed of the random generator used by this filter (if the filter has a random component).

Implemented in TBasicTerrainFilter.

The documentation for this struct was generated from the following file:

- I3DExTerrainFilter.h